Package Details: abcde 2.9.3-5

Git Clone URL: https://aur.archlinux.org/abcde.git (read-only, click to copy)
Package Base: abcde
Description: Frontend command-line utility that grabs tracks off a CD, encodes them to ogg or mp3 format, and tags them, all in one go
Upstream URL: https://abcde.einval.com/
Licenses: GPL
Submitter: arojas
Maintainer: FabioLolix
Last Packager: arojas
Votes: 16
Popularity: 0.141560
First Submitted: 2022-04-01 16:22 (UTC)
Last Updated: 2022-04-01 16:22 (UTC)

Dependencies (13)

Required by (1)

Sources (3)

Latest Comments

FabioLolix commented on 2023-06-22 19:21 (UTC)

No package metadata was found for eyed3, python-eyed3 is an AUR package have you rebuilded it after the python update?

Now that python is at version 3.11 you can see packages build against 3.10 that need a rebuild with the command pacman -Qoq /usr/lib/python3.10/

For readibility please encapsulate text error with ``` at top and bottom

result will be like this

preinkemeier commented on 2023-06-22 19:16 (UTC)

abcde started throwing error like this one:

echo Tagging track 02 of 29: Track 2... Tagging track 02 of 29: Track 2... tagtrack-mp3-02 nice -n 10 eyeD3 --encoding utf16 -A Unknown Album -a Unknown Artist -t Track 2 -G 255 -n 02 -N 29 --comment abcde version 2.7.2 /home/philipp/abcde.a80cc71d/track02.mp3 Traceback (most recent call last): File "/usr/lib/python3.11/importlib/metadata/init.py", line 563, in from_name return next(cls.discover(name=name)) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/eyeD3", line 33, in <module> sys.exit(load_entry_point('eyed3==0.9.6', 'console_scripts', 'eyeD3')()) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/bin/eyeD3", line 22, in importlib_load_entry_point for entry_point in distribution(dist_name).entry_points ^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/lib/python3.11/importlib/metadata/init.py", line 981, in distribution return Distribution.from_name(distribution_name) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/lib/python3.11/importlib/metadata/init.py", line 565, in from_name raise PackageNotFoundError(name) importlib.metadata.PackageNotFoundError: No package metadata was found for eyed3

Does anybody have a clue what's going on?

clegg89 commented on 2023-03-08 12:49 (UTC)

For those that get the following error:

==> Verifying source file signatures with gpg...
    abcde-2.9.3.tar.gz ... FAILED (unknown public key 587979573442684E)
==> ERROR: One or more PGP signatures could not be verified!

You need to import the public keys. See https://wiki.archlinux.org/title/GnuPG#Use_a_keyserver

The key IDs are available on the abcde website on the downloads page.

karcio commented on 2023-01-15 21:16 (UTC)

Hi, I think there is a problem with public key

==> Verifying source file signatures with gpg...
    abcde-2.9.3.tar.gz ... FAILED (unknown public key 587979573442684E)
==> ERROR: One or more PGP signatures could not be verified! 

Could you please fix it?

Regards

jose1711 commented on 2022-10-28 22:28 (UTC)

Hi, I don't think version should be part of the directory in /usr/share/doc: /usr/share/doc/abcde-2.9.3 as opposed to /usr/share/doc/abcde. Could you please take a look? Thanks!